Bug 1128409 - Review Request: perl-Module-Data - Introspect context information about modules in @INC
Summary: Review Request: perl-Module-Data - Introspect context information about modul...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1124313
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-10 08:43 UTC by David Dick
Modified: 2014-09-05 22:21 UTC (History)
2 users (show)

Fixed In Version: perl-Module-Data-0.007-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-05 22:21:55 UTC
ppisar: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description David Dick 2014-08-10 08:43:37 UTC
Spec URL: https://ddick.fedorapeople.org/packages/perl-Module-Data.spec
SRPM URL: https://ddick.fedorapeople.org/packages/perl-Module-Data-0.007-1.fc20.src.rpm
Description: Introspect context information about modules in @INC
Fedora Account System Username: ddick

Comment 2 Petr Pisar 2014-08-20 08:21:01 UTC
URL and Source0 are usable. Ok.
Source archive is original (SHA-256:f5ba4f9070f8f3e08b08cb6524f88e6558e70fbf26236d7cf02fa0b989ad0224). Ok.

TODO: Report the useless version constrain on Module::Build to upstream.

License verified from README, lib/Module/Data.pm, LICENSE. Ok.
Summary verified from lib/Module/Data.pm. Ok.
Description is OK.

TODO: You can write the description as `%{summary}.'.

No XS code. noarch BuildArch is Ok.

TODO: Do not build-require `perl(Config)', `perl(Cwd)', and `perl(lib)'. The files from maint-travis-ci are not used.

All tests pass. Ok.
$ rpmlint perl-Module-Data.spec ../SRPMS/perl-Module-Data-0.007-1.fc22.src.rpm ../RPMS/noarch/perl-Module-Data-0.007-1.fc22.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint is Ok.

$ rpm -q -lv -p ../RPMS/noarch/perl-Module-Data-0.007-1.fc22.noarch.rpm 
drwxr-xr-x    2 root    root                        0 Aug 20 10:12 /usr/share/doc/perl-Module-Data
-rw-r--r--    1 root    root                     4699 Nov 20  2013 /usr/share/doc/perl-Module-Data/Changes
-rw-r--r--    1 root    root                    18401 Nov 20  2013 /usr/share/doc/perl-Module-Data/LICENSE
-rw-r--r--    1 root    root                     3537 Nov 20  2013 /usr/share/doc/perl-Module-Data/README
-rw-r--r--    1 root    root                     3325 Aug 20 10:11 /usr/share/man/man3/Module::Data.3pm.gz
drwxr-xr-x    2 root    root                        0 Aug 20 10:11 /usr/share/perl5/vendor_perl/Module
-rw-r--r--    1 root    root                     6330 Aug 20 10:11 /usr/share/perl5/vendor_perl/Module/Data.pm
File layout and permissions are Ok.


$ rpm -q --requires -p ../RPMS/noarch/perl-Module-Data-0.007-1.fc22.noarch.rpm | sort -f | uniq -c
      1 perl(:MODULE_COMPAT_5.18.2)
      1 perl(Module::Metadata)
      1 perl(Module::Runtime)
      1 perl(Moo)
      1 perl(Path::Class::File)
      1 perl(Path::ScanINC) >= 0.002
      1 perl(strict)
      1 perl(Sub::Quote)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Binary provides are Ok.

$ rpm -q --provides -p ../RPMS/noarch/perl-Module-Data-0.007-1.fc22.noarch.rpm | sort -f | uniq -c
      1 perl(Module::Data) = 0.007
      1 perl-Module-Data = 0.007-1.fc22
Binary provides are Ok.

$ resolvedeps rawhide ../RPMS/noarch/perl-Module-Data-0.007-1.fc22.noarch.rpm 
Binary dependencies resolvable. Ok.

Package builds in F22 (http://koji.fedoraproject.org/koji/taskinfo?taskID=7429901). 

Otherwise the package is in line with Fedora and Perl packaging guidelines.

Please consider fixing the `TODO' items before building this package.
Resolution: Package APPROVED.

Comment 3 David Dick 2014-08-20 11:09:51 UTC
Thanks again Patr.

New Package SCM Request
=======================
Package Name: perl-Module-Data
Short Description: Introspect context information about modules in @INC
Upstream URL: http://search.cpan.org/dist/Module-Data/
Owners: ddick
Branches: f20, f21
InitialCC: perl-sig

Comment 4 Gwyn Ciesla 2014-08-20 13:57:15 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2014-08-21 06:42:27 UTC
perl-Module-Data-0.007-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-Module-Data-0.007-1.fc20

Comment 6 Fedora Update System 2014-08-23 02:00:54 UTC
perl-Module-Data-0.007-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 7 Fedora Update System 2014-09-05 22:21:55 UTC
perl-Module-Data-0.007-1.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.